## Class ComandoStampa

    java.lang.Object
      Comando
          ComandoStampa

    public class ComandoStampa

extends Comando

È un comando per la stampa di informazioni. Quando un giocatore vuole stampare delle informazioni lancia un comando di stampa per il tipo di informazioni desiderate.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`ComandoStampa(java.lang.String what)` Costruisce un comando che stampa le informazioni richieste nel parametro.

Method Summary
`boolean` `esegui(Giocatore giocatore, Tabellone planisfero)` Esegue il comando
`java.lang.String` `getNomeComando()` Restituisce il nome del comando

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComandoStampa

    public ComandoStampa(java.lang.String what)

  Costruisce un comando che stampa le informazioni richieste nel parametro.

  Parameters:
    `what` - informazioni desiderate

Method Detail

### getNomeComando

    public java.lang.String getNomeComando()

  Description copied from class: `Comando`
  Restituisce il nome del comando

  Specified by:
    `getNomeComando` in class `Comando`
  Returns:
    una stringa contenente il nome del comando

### esegui

    public boolean esegui(Giocatore giocatore,
                          Tabellone planisfero)
                   throws java.io.IOException

  Description copied from class: `Comando`
  Esegue il comando

  Specified by:
    `esegui` in class `Comando`
  Parameters:
    `giocatore` - esecutore del comando
    `planisfero` - riferimento al tabellone di gioco
  Throws:
    `java.io.IOException`